framework:
    rate_limiter:
        # Rate limiter for login attempts
        login:
            policy: sliding_window
            limit: 5
            interval: '15 minutes'

        # Rate limiter for API endpoints
        api:
            policy: sliding_window
            limit: 100
            interval: '1 minute'

        # Rate limiter for BL uploads (10 per minute per user)
        bl_upload:
            policy: sliding_window
            limit: 10
            interval: '1 minute'

        # Rate limiter for BL read/consultation (60 per minute per user)
        bl_read:
            policy: sliding_window
            limit: 60
            interval: '1 minute'

        # Rate limiter for mercuriale imports (5 per hour per user)
        mercuriale_import:
            policy: sliding_window
            limit: 5
            interval: '1 hour'

        # Rate limiter for avoir creation (20 per minute per user)
        avoir_create:
            policy: sliding_window
            limit: 20
            interval: '1 minute'

        # Rate limiter for anonymous public API (SIREN lookup, registration)
        anonymous_api:
            policy: sliding_window
            limit: 10
            interval: '1 minute'
